[问题]ubuntu6.06不重新编译内核,selinux一直无法激活,我的水平太差?

系统错误报告和讨论
回复
头像
蝴蝶兰
帖子: 202
注册时间: 2006-04-18 10:13
来自: china
送出感谢: 0
接收感谢: 0
联系:

[问题]ubuntu6.06不重新编译内核,selinux一直无法激活,我的水平太差?

#1

帖子 蝴蝶兰 » 2006-09-14 8:30

最近一直想在不重新编译内核的情况下激活selinux,走了很多弯路,查了不少资料,个人感觉那些人写的东西都是瞎扯淡(尤其是中文的那些).
在安装selinux-policy-default时,它要求你输入[Y/n/d]时我就发现selinux被激活了,可一重启,selinux成为一具僵尸了:(
/boot/grub/menu.lst中加入了selinux=1 enforcing=1,这个enforcing一定应该是=1,我看了一下系统日志,=0是不会加载策略的.
回避问题 = 曲线救国 = 棒槌
头像
蝴蝶兰
帖子: 202
注册时间: 2006-04-18 10:13
来自: china
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 蝴蝶兰 » 2006-10-07 22:08

好长时间没有弄SElinux了。今天下载了个文件:sysvinit_2.86.ds1.orig.tar.gz,解包后到src目录下看了一下,这下面的源程序里都没有与SElinux有关的东西。看来重启后不能激活SElinux是sysvinit的问题。这可能是sysvinit_2.86.ds1-6ubuntu32_i386.deb中没有打SElinux的补丁啊。
接着又下载了一个文件:sysvinit_2.86.ds1-6ubuntu32.diff.gz,解包后看了一下,
看来还果真如此。可接下来的问题是这个文件的第一、二行的内容:
--- sysvinit-2.86.ds1.orig/debian/initscripts/preinst
+++ sysvinit-2.86.ds1/debian/initscripts/preinst

哪位老兄能告诉我这个补丁如何打?
回避问题 = 曲线救国 = 棒槌
头像
蝴蝶兰
帖子: 202
注册时间: 2006-04-18 10:13
来自: china
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 蝴蝶兰 » 2006-10-07 22:35

刚才又对比了一下debian的sysvinit,它的版本有:2.86.ds1-32, 2.86.ds1-31, 2.86.ds1-30, 2.86.ds1-29, 2.86.ds1-20,
这些包的依赖关系是:
initscripts
libc0.1 (>= 2.3.5-1) [kfreebsd-i386]
libc0.3 (>= 2.3.5-1) [hurd-i386]
libc6 (>= 2.3.5-1) [not alpha, hurd-i386, i386, ia64, kfreebsd-i386]
libc6 (>= 2.3.6-6) [i386]
libc6.1 (>= 2.3.5-1) [alpha, ia64]
libselinux1 (>= 1.30.28) [not hurd-i386, kfreebsd-i386]
libsepol1 (>= 1.12.26) [not hurd-i386, kfreebsd-i386]
sysv-rc (>= 2.86.ds1-1.2)
or file-rc (>> 0.7.0)
sysvinit-utils [not hurd-i386]
等等。很明显,SElinux支持已在其中。
再来看一下Ubuntu的sysvinit,它的依赖关系是:
coreutils
initscripts
libc6 (>= 2.3.4-1)
sysv-rc (>= 2.86.ds1-1.2)
or file-rc (>> 0.7.0)
:(
看来这不是Ubuntu6.06的一个BUG了!这是Ubuntu的6.06等版本故意这样做的了?
回避问题 = 曲线救国 = 棒槌
dajian0509
帖子: 397
注册时间: 2006-10-13 18:53
来自: 湖南农业大学
送出感谢: 0
接收感谢: 0

#4

帖子 dajian0509 » 2006-10-24 10:25

好贴啊
多看就有长进了 
回复

回到 “Ubuntu错误报告”